### Constructor

# Gio UnixFDList new_from_array

since: 2.24

#### Declaration [src]

    GUnixFDList*
    g_unix_fd_list_new_from_array (
      const gint* fds,
      gint n_fds
    )

#### Description [src]

Creates a new `GUnixFDList` containing the file descriptors given in `fds`. The file descriptors become the property of the new list and may no longer be used by the caller. The array itself is owned by the caller.

Each file descriptor in the array should be set to close-on-exec.

If `n_fds` is -1 then `fds` must be terminated with -1.

Available since: 2.24

#### Parameters

`fds`

  Type: An array of `gint`

  The initial list of file descriptors.

  The length of the array is specified in the `n_fds` argument.
  The data is owned by the caller of the function.

`n_fds`

  Type: `gint`

  The length of #fds, or -1.

#### Return value

Type: `GUnixFDList`

A new `GUnixFDList`.

The caller of the function takes ownership of the data, and is responsible for freeing it.